import React from "react";
import { Switch, Route } from "react-router-dom";
// import AuthPage from './containers/AuthPage'

import * as routes from './constants/routes'

import Header from "./containers/Header"
import landingPage from './components/landingPage'
import signInPage from './components/auth/signInPage'
import Footer from './components/footer'
import signUpPage from "./components/auth/signUpPage";
import notFound from "./components/notFound";
import homePage from "./components/homePage";

export default () => (
	<div className="container">
		<Header />
		<Switch>
            <Route path={routes.LANDING} exact component={landingPage} />
			<Route path={routes.SIGN_IN} exact component={signInPage} />
            <Route path={routes.SIGN_UP} exact component={signUpPage} />
            <Route path={routes.HOME} exact component={homePage} />
            <Route component={notFound} />
		</Switch>
        <Footer />
	</div>
);
